package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsEquipamento;

public class HsEquipamento extends _HsEquipamento {

	private static final long serialVersionUID = 1L;
	
	@Override
	public String getTipo()
	{
		return parseFromUnicode( super.getTipo() );
	}
	
	@Override
	public void setTipo( String nome )
	{
		super.setTipo( parseToUnicode( nome ) );
	}
	
	@Override
	public String getMarca()
	{
		return parseFromUnicode( super.getMarca() );
	}
	
	@Override
	public void setMarca( String marca )
	{
		super.setMarca( parseToUnicode( marca ) );
	}
	
	@Override
	public String getModelo()
	{
		return parseFromUnicode( super.getModelo() );
	}
	
	@Override
	public void setModelo( String modelo )
	{
		super.setModelo( parseToUnicode( modelo ) );
	}
	
	@Override
	public String toString()
	{
		return getTipo();
	}
	
	
}
